This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 457152 - Review Request: appliance-tools tools for generating appliance images on Fedora
Summary: Review Request: appliance-tools tools for generating appliance images on Fedora
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: David Lutterkort
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-29 21:34 UTC by David Huff
Modified: 2013-04-30 23:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-23 17:52:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lutter: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description David Huff 2008-07-29 21:34:59 UTC
Spec URL: 
http://huff.fedorapeople.org/appliance-tools.spec
SRPM URL: http://koji.fedoraproject.org/koji/getfile?taskID=746017&name=appliance-tools-002-1.fc9.src.rpm
Description: 
Tools for generating appliance images on Fedora based systems including
derived distributions such as RHEL, CentOS and others. See
http://thincrust.net for more details.

Comment 1 David Lutterkort 2008-07-29 22:22:17 UTC
  OK - Package name
  N/A - License info is accurate

  Upstream does not include a separate license, though comments in the code
  indicate GPLv2 (would be good if upstream included a license; in that
  case, install it as %doc)

  OK - License tag is correct and licenses are approved
  N/A - License files are installed as %doc
  OK - Specfile name
  OK - Specfile is legible
  OK - No prebuilt binaries included
  OK - BuildRoot value (one of the recommended values)
  OK - PreReq not used
  N/A - Source md5sum matches upstream

  Upstream has not made an official release; it would be good if that
  happened. Barring that, there needs to be a comment before Source0
  explaining how the tarball was generated

  OK - No hardcoded pathnames
  OK - Package owns all the files it installs
  OK - 'Requires' create needed unowned directories
  OK - Package builds successfully on i386 and x86_64 (mock)
  OK - BuildRequires sufficient
  OK - File permissions set properly
  OK - Macro usage is consistent
  OK - rpmlint is silent

  OK - definition of python_sitelib
  OK - Generate and include *.py[co] in sitelib
  OK - Do not include *.py[oc] in /usr/{bin,sbin}


Comment 2 David Lutterkort 2008-07-29 22:23:11 UTC
Please address the Source0 issue above (and since you're upstream, also include
an explicit license)

With these cosmetic changes, APPROVED

Please follow http://fedoraproject.org/wiki/CVSAdminProcedure and import
the package. Close this bug as RAWHIDE once it's been successfully imported
and built.


Comment 3 David Huff 2008-08-06 21:33:18 UTC
New Package CVS Request
=======================
Package Name: appliance-tools
Short Description: tools for building appliance images
Owners: huff
Branches: F-9 EL-5
InitialCC: 
Cvsextras Commits: yes

Comment 4 Kevin Fenzi 2008-08-07 20:54:09 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.